--
-- self
-- Class for all self
--
-- @author  Mario
-- @date  25/04/10
--
-- Copyright (C) Mario

mirrorq = {};

function mirrorq.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function mirrorq:load(xmlFile)

    self.mirrorqs = {};
    self.mirrorqs[1] = Utils.indexToObject(self.rootNode, getXMLString(xmlFile, "vehicle.mirrorqs.mirrorq1#index"));
    self.mirrorqs[2] = Utils.indexToObject(self.rootNode, getXMLString(xmlFile, "vehicle.mirrorqs.mirrorq2#index"));
    self.mirrorqs[3] = Utils.indexToObject(self.rootNode, getXMLString(xmlFile, "vehicle.mirrorqs.mirrorq3#index"));
    self.mirrorqs[4] = Utils.indexToObject(self.rootNode, getXMLString(xmlFile, "vehicle.mirrorqs.mirrorq4#index"));
    self.mirrorqs[5] = Utils.indexToObject(self.rootNode, getXMLString(xmlFile, "vehicle.mirrorqs.mirrorq5#index"));
    self.mirrorqs[6] = Utils.indexToObject(self.rootNode, getXMLString(xmlFile, "vehicle.mirrorqs.mirrorq6#index"));
	
end;

function mirrorq:keyEvent(unicode, sym, modifier, isDown)

    if isDown and sym == Input.KEY_h then 
		self.drawMirrorq = not self.drawMirrorq;
		setVisibility(self.mirrorqs[1], self.drawMirrorq);
    	        setVisibility(self.mirrorqs[2], self.drawMirrorq);
                setVisibility(self.mirrorqs[3], self.drawMirrorq);
                setVisibility(self.mirrorqs[4], self.drawMirrorq);
                setVisibility(self.mirrorqs[5], self.drawMirrorq);
                setVisibility(self.mirrorqs[6], self.drawMirrorq);
	 end;

end;


function mirrorq:update(dt)
end;

function mirrorq:draw()
end;

function mirrorq:onEnter()

end;

function mirrorq:onLeave()
end;

function mirrorq:delete()
end;

function mirrorq:mouseEvent(posX, posY, isDown, isUp, button)
end;